> ## Documentation Index
> Fetch the complete documentation index at: https://docs.consignease.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete purchase order by ID

> For valid response try integer IDs with value < 1000. Anything above 1000 or nonintegers will generate API errors



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/dasdk/openapi.documented.yml delete /store/order/{orderId}
openapi: 3.0.3
info:
  title: OpenAPI 3.0 Pet Store
  description: This is a sample Pet Store Server based on the OpenAPI 3.0 specification.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.11
servers:
  - url: https://petstore3.swagger.io/api/v3
security:
  - api_key: []
tags:
  - name: pet
    description: Everything about your Pets
  - name: store
    description: Access to Petstore orders
  - name: user
    description: Operations about user
paths:
  /store/order/{orderId}:
    delete:
      tags:
        - store
      summary: Delete purchase order by ID
      description: >-
        For valid response try integer IDs with value < 1000. Anything above
        1000 or nonintegers will generate API errors
      operationId: deleteOrder
      parameters:
        - name: orderId
          in: path
          description: ID of the order that needs to be deleted
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '400':
          description: Invalid ID supplied
        '404':
          description: Order not found
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Dasdk from 'dasdk';

            const client = new Dasdk({
              apiKey: 'My API Key',
            });

            await client.store.order.delete(0);
components:
  securitySchemes:
    api_key:
      type: apiKey
      name: api_key
      in: header

````